3

I installed Eclipse Mars 4.5 with a desktop shortcut in 15.04, following the Ubuntu guide. When I try to launch eclipse from the terminal it opens Eclipse 3.8. How I can remove Eclipse 3.8 and have the terminal command open Eclipse 4.5?

  • Please edit your answer and add the output of which eclipse and ls /opt. – Byte Commander Oct 2 '15 at 11:28
  • Make that type -a eclipse. – terdon Oct 14 '15 at 14:15
0

This is the version of eclipse (3.8.1-7) [universe]eclipse (3.8.1-7) [universe] that ships with 15.04. My guess is that you have installed the 4.5 version independently of the apt packaging system. It will be tricky to work out where this is installed on the filesystem, but my guess will be /opt.

You need add the path of the executable eclipse to $PATH for it to work from (if it isn't already in there). You can check with

$ echo $PATH

If the path for your new install isn't in there, then it won't work.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.